<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="xhtml" xpath-default-namespace="http://www.w3.org/1999/xhtml" indent="yes" omit-xml-declaration="yes"/>
<xsl:template match="/">
<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;</xsl:text>
<html xsl:version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=8" />
<title>REXOSS_NON_EU - Žiadosť o zrušenie povolenia uplatňovať osobitnú úpravu - úprava mimo EÚ</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="language" content="sk-SK" />
<style type="text/css">
body { 
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	background-color:transparent;
	color: #646464;
}
.ui-tabs {
	padding: .2em;
	position: relative;
	zoom: 1;
}
.ui-widget-content {
	background: #f9f9f9;
	border: 2px solid #d4d4d4;
	color: #3e3e3e;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}
.ui-widget-header {					 
	font-weight: 400;	
	border: 1px solid #5f5247;
	background-color: #5f5247;
	color: #fff;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}								
.clear { clear: both; }
.layoutMain {
	margin: 0px auto;
	padding: 5px 5px 5px 5px;	
}				
.layoutRow { margin-bottom: 5px; }				
.caption { /*width: 100%; border-bottom: solid 1px black;*/ }
.nocaption > .caption { border: 0px !important; }
.nocaption > .caption span {
	background: none !important;
	display: none;
} 
.caption .title { padding-left: 5px; }
.headercorrection {	
	margin: 0px;
}				
.labelVis {
	float: left;
	font-weight: bold;
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	line-height: 25px;
	margin: 0px 18px 0px 0px;
	padding: 0;
	width: 190px;
}
.contentVis {    	     
	float: left;	
	line-height: 25px;
	margin: 0px;
	padding: 0px;
	vertical-align: top;			
}
.wordwrap { 
   white-space: pre-wrap;      
   white-space: -moz-pre-wrap; 
   white-space: -pre-wrap;     
   white-space: -o-pre-wrap;   
   word-wrap: break-word;      
}				
</style>
</head>
<body>
<div id="main" class="layoutMain">
<xsl:for-each select="/REGOSS_US">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">REXOSS_NON_EU</div>
</div>
<xsl:if test="/REGOSS_US/secNazov/text()"><div><label class="labelVis">secNazov: </label><span class="contentVis wordwrap"><xsl:value-of select="./secNazov"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/REGOSS_US/secIdentifikacneUdaje">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sekcia identifikačné údaje</div>
</div>
<xsl:if test="/REGOSS_US/secIdentifikacneUdaje/VAT_IdentificationNumber/text()"><div><label class="labelVis">Osobitné identifikačné číslo pre daň (Voes číslo)(VAT Identification Number): </label><span class="contentVis wordwrap"><xsl:value-of select="./VAT_IdentificationNumber"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/REGOSS_US/secIdentifikacneUdaje/VAT_IdentificationNumber_txt/text()"><div><label class="labelVis">Osobitné identifikačné číslo pre daň (Voes číslo)(VAT Identification Number): </label><span class="contentVis wordwrap"><xsl:value-of select="./VAT_IdentificationNumber_txt"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/REGOSS_US/secIdentifikacneUdaje/firstName/text()"><div><label class="labelVis">Meno fyzickej osoby (First Name): </label><span class="contentVis wordwrap"><xsl:value-of select="./firstName"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/REGOSS_US/secIdentifikacneUdaje/lastName/text()"><div><label class="labelVis">Priezvisko fyzickej osoby (Last Name): </label><span class="contentVis wordwrap"><xsl:value-of select="./lastName"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/REGOSS_US/secIdentifikacneUdaje/companyName/text()"><div><label class="labelVis">Obchodný názov spoločnosti (The company name): </label><span class="contentVis wordwrap"><xsl:value-of select="./companyName"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/REGOSS_US/sec57hOds1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sekcia čl. 57h ods.1</div>
</div>
<xsl:if test="/REGOSS_US/sec57hOds1/chNoLongerProvide57hOds1/text()"><div><label class="labelVis">Oznamujem Vám, že už neposkytujem služby, na ktoré sa vzťahuje osobitná úprava (článok 57h ods. 1 vykonávacieho nariadenia Rady (EÚ) 2019/2026, § 68a ods. 7 písm. a) zákona č. 222/2004 Z. z. o dani z pridanej hodnoty v znení neskorších predpisov).  (I inform you, that I no longer provide services covered by special scheme (Article 57h (1) of the Council Implementing Regulation (EU) 2019/2026, § 68a (7) a) 222/2004 Coll. VAT Act).): </label><span class="contentVis wordwrap"><xsl:value-of select="./chNoLongerProvide57hOds1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/REGOSS_US/sec57gOds1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sekcia čl. 57g ods. 1</div>
</div>
<xsl:if test="/REGOSS_US/sec57gOds1/chLeaveSpecialScheme57gOds1/text()"><div><label class="labelVis">Žiadam Vás o dobrovoľné ukončenie využívania osobitnej úpravy (článok 57g ods. 1 vykonávacieho nariadenia Rady (EÚ) 2019/2026). (I request to leave the special scheme voluntarily (Article 57g (1) of the Council Implementing Regulation (EU) 2019/2026).): </label><span class="contentVis wordwrap"><xsl:value-of select="./chLeaveSpecialScheme57gOds1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/REGOSS_US/sec57gOds1/secStvrtRok">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sekcia štvrťrok</div>
</div>
<xsl:if test="/REGOSS_US/sec57gOds1/secStvrtRok/Stvrtrok/text()"><div><label class="labelVis">Uveďte kalendárny štvrťrok a rok, v ktorom chcete ukončiť využívanie osobitnej úpravy.  (Specify the quarter and the year in which you want to cease the use of special scheme.): </label><span class="contentVis wordwrap"><xsl:value-of select="./Stvrtrok"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/REGOSS_US/sec57gOds1/secStvrtRok/Rok/text()"><div><label class="labelVis">/: </label><span class="contentVis wordwrap"><xsl:value-of select="./Rok"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/REGOSS_US/sec57hOds2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sekcia čl. 57h ods. 2</div>
</div>
<xsl:if test="/REGOSS_US/sec57hOds2/chNoLongerMess57hOds1/text()"><div><label class="labelVis">Už nespĺňam podmienky potrebné na využívanie osobitnej úpravy (článok 57h ods. 1 vykonávacieho nariadenia Rady (EÚ) 2019/2026, § 68a ods. 7 písm. c) zákona č. 222/2004 Z. z. o dani z pridanej hodnoty v znení neskorších predpisov). (I no longer meet the conditions necessary for use of the special scheme (Article 57h (1)  of the Council Implementing Regulation (EU) 2019/2026,  § 68a (7) c) 222/2004 Coll. VAT Act).): </label><span class="contentVis wordwrap"><xsl:value-of select="./chNoLongerMess57hOds1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/REGOSS_US/sec57hOds2/secPom1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sekcia pomocná 1</div>
</div>
<xsl:if test="/REGOSS_US/sec57hOds2/secPom1/clanok57hOds1/text()"><div><label class="labelVis">clanok57hOds1: </label><span class="contentVis wordwrap"><xsl:value-of select="./clanok57hOds1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/REGOSS_US/sec57hOds2/secPom1/Date1/text()"><div><label class="labelVis">Uveďte dátum, kedy ste prestali spĺňať podmienky pre uplatňovanie tejto osobitnej úpravy.  (Enter the date when you since you no longer meet the conditions for the special scheme.): </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./Date1" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/REGOSS_US/sec57hOds2/secPom2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sekcia pomocná 2</div>
</div>
<xsl:if test="/REGOSS_US/sec57hOds2/secPom2/Date2/text()"><div><label class="labelVis">Uveďte dátum, kedy ste prestali spĺňať podmienky pre uplatňovanie tejto osobitnej úpravy.  (Enter the date when you since you no longer meet the conditions for the special scheme.): </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./Date2" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/REGOSS_US/secDatumZiadosti">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Date of application</div>
</div>
<xsl:if test="/REGOSS_US/secDatumZiadosti/DatumZiadosti/text()"><div><label class="labelVis">Dátum žiadosti: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./DatumZiadosti" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</body>
</html>
</xsl:template>
<xsl:template name="formatToSkDate">
<xsl:param name="date" />
<xsl:value-of select="concat(substring($date, 9, 2), '.', substring($date, 6, 2), '.', substring($date, 1, 4))" />
</xsl:template>
</xsl:stylesheet>

