<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
  <xsl:output method="text" indent="yes" omit-xml-declaration="yes"/>
  <xsl:strip-space elements="*" />
  <xsl:template match="/dokument">
    <xsl:text>RexOSS_NON_EU</xsl:text>
    <xsl:apply-templates select="./identifikacia"/>
    <xsl:apply-templates select="./ukoncenieUpravy57hOds1"/>
    <xsl:apply-templates select="./ukoncenie57gOds1"/>
    <xsl:apply-templates select="./ukonceniePodmienok57hOds1"/>
    <xsl:apply-templates select="./datumZiadosti"/>
  </xsl:template>

  <xsl:template match="/dokument/identifikacia">
    <xsl:apply-templates select="./voesCislo"/>
    <xsl:apply-templates select="./meno"/>
    <xsl:apply-templates select="./priezvisko"/>
    <xsl:apply-templates select="./obchodneMeno"/>
  </xsl:template>
  <xsl:template match="/dokument/identifikacia/voesCislo">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Osobitné identifikačné číslo pre daň (Voes číslo)(VAT Identification Number): </xsl:text>
      <xsl:call-template name="string-replace-all">
        <xsl:with-param name="text" select="." />
        <xsl:with-param name="replace" select="'&#10;'" />
        <xsl:with-param name="by" select="'&#13;&#10;&#09;'" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/dokument/identifikacia/meno">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Meno fyzickej osoby (First Name): </xsl:text>
      <xsl:call-template name="string-replace-all">
        <xsl:with-param name="text" select="." />
        <xsl:with-param name="replace" select="'&#10;'" />
        <xsl:with-param name="by" select="'&#13;&#10;&#09;'" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/dokument/identifikacia/priezvisko">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Priezvisko fyzickej osoby (Last Name): </xsl:text>
      <xsl:call-template name="string-replace-all">
        <xsl:with-param name="text" select="." />
        <xsl:with-param name="replace" select="'&#10;'" />
        <xsl:with-param name="by" select="'&#13;&#10;&#09;'" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/dokument/identifikacia/obchodneMeno">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Obchodný názov spoločnosti (The company name): </xsl:text>
      <xsl:call-template name="string-replace-all">
        <xsl:with-param name="text" select="." />
        <xsl:with-param name="replace" select="'&#10;'" />
        <xsl:with-param name="by" select="'&#13;&#10;&#09;'" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>

  <xsl:template match="/dokument/ukoncenieUpravy57hOds1">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Oznamujem Vám, že už neposkytujem služby, na ktoré sa vzťahuje osobitná úprava (článok 57h ods. 1 vykonávacieho nariadenia Rady (EÚ) 2019/2026, § 68a ods. 7 písm. a) zákona č. 222/2004 Z. z. zákona o dani z pridanej hodnoty v znení neskorších predpisov). (I inform you, that I no longer provide services covered by special scheme (Article 57h (1) of the Council Implementing Regulation (EU) 2019/2026, § 68a (7) a) 222/2004 Coll. VAT Act).): </xsl:text><xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="/dokument/ukoncenie57gOds1">
    <xsl:apply-templates select="./ukoncenie"/>
    <xsl:apply-templates select="./stvrtrok"/>
    <xsl:apply-templates select="./rok"/>
  </xsl:template>
  <xsl:template match="/dokument/ukoncenie57gOds1/ukoncenie">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Žiadam Vás o dobrovoľné ukončenie využívania osobitnej úpravy (článok 57g ods. 1 vykonávacieho nariadenia Rady (EÚ) 2019/2026). I request to leave the special scheme voluntarily (Article 57g (1) of the Council Implementing Regulation (EU) 2019/2026): </xsl:text><xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/dokument/ukoncenie57gOds1/stvrtrok">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Uveďte kalendárny štvrťrok, v ktorom chcete ukončiť využívanie osobitnej úpravy. (Specify the quarter in which you want to cease the use of special scheme.): </xsl:text>
      <xsl:call-template name="string-replace-all">
        <xsl:with-param name="text" select="." />
        <xsl:with-param name="replace" select="'&#10;'" />
        <xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;'" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/dokument/ukoncenie57gOds1/rok">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Uveďte kalendárny rok, v ktorom chcete ukončiť využívanie osobitnej úpravy. (Specify the year in which you want to cease the use of special scheme.): </xsl:text>
      <xsl:call-template name="string-replace-all">
        <xsl:with-param name="text" select="." />
        <xsl:with-param name="replace" select="'&#10;'" />
        <xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;'" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>

  <xsl:template match="/dokument/ukonceniePodmienok57hOds1">
    <xsl:apply-templates select="./ukoncenie"/>
    <xsl:apply-templates select="./zriadilSidloEu"/>
    <xsl:apply-templates select="./zriadilPrevadzkarenEu"/>
  </xsl:template>
  <xsl:template match="/dokument/ukonceniePodmienok57hOds1/ukoncenie">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Už nespĺňam podmienky potrebné na využívanie osobitnej úpravy (článok 57h ods. 1 vykonávacieho nariadenia Rady (EÚ) 2019/2026, § 68a ods. 7 písm. c) zákona č. 222/2004 Z. z. zákona o dani z pridanej hodnoty v znení neskorších predpisov).I no longer mees the conditions necessary for use of the special scheme (Article 57h (1) of the Council Implementing Regulation (EU) 2019/2026, § 68a (7) c) 222/2004 Coll. VAT Act): </xsl:text><xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="/dokument/ukonceniePodmienok57hOds1/zriadilSidloEu">
    <xsl:apply-templates select="./zrusenie"/>
    <xsl:apply-templates select="./datumZrusenia"/>
  </xsl:template>
  <xsl:template match="/dokument/ukonceniePodmienok57hOds1/zriadilSidloEu/zrusenie">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Pretože som si zriadil sídlo v Únii. (Because I have set up an place of bussines in the Union): </xsl:text><xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/dokument/ukonceniePodmienok57hOds1/zriadilSidloEu/datumZrusenia">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Uveďte dátum, kedy ste prestali spĺňať podmienky pre uplatňovanie tejto osobitnej úpravy. (Enter the date when you since you no longer meet the conditions for the special scheme): </xsl:text>
      <xsl:call-template name="string-replace-all">
        <xsl:with-param name="text" select="." />
        <xsl:with-param name="replace" select="'&#10;'" />
        <xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>

  <xsl:template match="/dokument/ukonceniePodmienok57hOds1/zriadilPrevadzkarenEu">
    <xsl:apply-templates select="./zrusenie"/>
    <xsl:apply-templates select="./datumZrusenia"/>
  </xsl:template>
  <xsl:template match="/dokument/ukonceniePodmienok57hOds1/zriadilPrevadzkarenEu/zrusenie">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Pretože som si zriadil v Únii prevádzkareň. (Because I have set up a fixed establishment in the Union): </xsl:text><xsl:value-of select="."/>
    </xsl:if>
  </xsl:template>
  <xsl:template match="/dokument/ukonceniePodmienok57hOds1/zriadilPrevadzkarenEu/datumZrusenia">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Uveďte dátum, kedy ste prestali spĺňať podmienky pre uplatňovanie tejto osobitnej úpravy. (Enter the date when you since you no longer meet the conditions for the special scheme): </xsl:text>
      <xsl:call-template name="string-replace-all">
        <xsl:with-param name="text" select="." />
        <xsl:with-param name="replace" select="'&#10;'" />
        <xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  
  <xsl:template match="/dokument/datumZiadosti">
    <xsl:if test="./text()">
      <xsl:text>&#xA;</xsl:text>
      <xsl:text>&#09;</xsl:text>
      <xsl:text>Dátum žiadosti (Date of application): </xsl:text>
      <xsl:call-template name="string-replace-all">
        <xsl:with-param name="text" select="." />
        <xsl:with-param name="replace" select="'&#10;'" />
        <xsl:with-param name="by" select="'&#13;&#10;&#09;'" />
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <xsl:template name="string-replace-all">
    <xsl:param name="text"/>
    <xsl:param name="replace"/>
    <xsl:param name="by"/>
    <xsl:choose>
      <xsl:when test="contains($text, $replace)">
        <xsl:value-of select="substring-before($text,$replace)"/>
        <xsl:value-of select="$by"/>
        <xsl:call-template name="string-replace-all">
          <xsl:with-param name="text" select="substring-after($text,$replace)"/>
          <xsl:with-param name="replace" select="$replace"/>
          <xsl:with-param name="by" select="$by" />
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$text"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>